Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Enum cmdReceipt.SeparatingLine

java.lang.Object
java.lang.Enum<cmdReceipt.SeparatingLine>
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt.SeparatingLine

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<cmdReceipt.SeparatingLine>`, `java.lang.constant.Constable`

Enclosing class:
  cmdReceipt

    public static enum cmdReceipt.SeparatingLine
    extends java.lang.Enum<cmdReceipt.SeparatingLine>

Type - Type of the separating line. '1' - Separating line with the symbol '-'; '2' - Separating line with the symbols '-' and ' '; '3' - Separating line with the symbol '='; '4' - Print fixed text NE SE DALJI PLASHTANE;

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `dash` |
  `dash_space` |
  `equal` |
  `not_used` |
  `text` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static cmdReceipt.SeparatingLine` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static cmdReceipt.SeparatingLine[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### not_used

    public static final cmdReceipt.SeparatingLine not_used

  - ### dash

    public static final cmdReceipt.SeparatingLine dash

  - ### dash_space

    public static final cmdReceipt.SeparatingLine dash_space

  - ### equal

    public static final cmdReceipt.SeparatingLine equal

  - ### text

    public static final cmdReceipt.SeparatingLine text

- ## Method Details

  - ### values

    public static cmdReceipt.SeparatingLine[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static cmdReceipt.SeparatingLine valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null